[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.AsAnsiString

Return field contents as an ANSI string

## Declaration

Source position: db.pas line 413

`public property TField.AsAnsiString : AnsiString read GetAsAnsiString write SetAsAnsiString;`

## Description

AsAnsiString returns the field data as an ANSI string (single byte character string). Note that if the field contains unicode data, some characters may get lost when reading.

## See also

TField.AsString |  | Access the field's contents as an AnsiString value.
TField.AsUnicodeString |  | Field contents as a UnicodeString
TField.AsUTF8String |  | Field contents as a UTF8 String
TField.CodePage